--- a/GConf.spec	2025-05-14 02:13:59.927111306 +0000
+++ b/GConf.spec	2025-05-14 02:13:59.949111590 +0000
@@ -173,7 +173,7 @@
 %patch4 -p1
 
 # disable localization for gconfd
-%__subst 's,\(setlocale (.* \"\),\1C,' gconf/gconfd.c
+sed -i 's,\(setlocale (.* \"\),\1C,' gconf/gconfd.c
 
 %build
 %autoreconf
--- a/alterator-fbi.spec	2025-05-14 02:14:00.155114247 +0000
+++ b/alterator-fbi.spec	2025-05-14 02:14:00.167114402 +0000
@@ -64,14 +64,14 @@
 %makeinstall HTMLROOT=%buildroot%_var/www/ unitdir=%buildroot%_unitdir
 
 #ahttpd
-%__install -d %buildroot%_var/run/ahttpd
-%__install -d %buildroot%_logdir/ahttpd
-%__install -Dpm640 ahttpd.logrotate %buildroot/%_sysconfdir/logrotate.d/ahttpd
-%__install -Dpm644 ahttpd.conf %buildroot%_sysconfdir/ahttpd/ahttpd.conf
-%__install -Dpm644 acl.conf %buildroot%_sysconfdir/ahttpd/acl.conf
-%__install -Dpm755 ahttpd.init %buildroot/%_initrddir/ahttpd
-%__install -d %buildroot/%_cachedir/ahttpd
-%__install -d %buildroot/
+install -d %buildroot%_var/run/ahttpd
+install -d %buildroot%_logdir/ahttpd
+install -Dpm640 ahttpd.logrotate %buildroot/%_sysconfdir/logrotate.d/ahttpd
+install -Dpm644 ahttpd.conf %buildroot%_sysconfdir/ahttpd/ahttpd.conf
+install -Dpm644 acl.conf %buildroot%_sysconfdir/ahttpd/acl.conf
+install -Dpm755 ahttpd.init %buildroot/%_initrddir/ahttpd
+install -d %buildroot/%_cachedir/ahttpd
+install -d %buildroot/
 
 #ssl
 touch %buildroot%_sysconfdir/ahttpd/ahttpd.cnf
--- a/autotrace.spec	2025-05-14 02:14:00.346116711 +0000
+++ b/autotrace.spec	2025-05-14 02:14:00.353116801 +0000
@@ -97,8 +97,8 @@
 
 %build
 %ifdef cvs_date
-%__subst 's@autoconf@autoconf_2.5@' autogen.sh
-%__subst 's@autoheader@autoheader_2.5@' autogen.sh
+sed -i 's@autoconf@autoconf_2.5@' autogen.sh
+sed -i 's@autoheader@autoheader_2.5@' autogen.sh
 ./autogen.sh
 %endif
 
@@ -108,9 +108,9 @@
 	--without-pstoedit
 %endif
 
-%__subst s/-lstdc++// Makefile
+sed -i s/-lstdc++// Makefile
 %make_build
-%__subst s/-lstdc++// %name-config
+sed -i s/-lstdc++// %name-config
 
 %install
 %makeinstall
--- a/bro.spec	2025-05-14 02:14:00.758122025 +0000
+++ b/bro.spec	2025-05-14 02:14:00.773122219 +0000
@@ -232,18 +232,18 @@
 install -d -m 755 %buildroot%_localstatedir/log/bro/stats
 
 # Create spool dir
-%__install -d -m 755 %buildroot%_localstatedir/spool/bro
-%__install -d -m 755 %buildroot%_localstatedir/spool/bro/tmp
+install -d -m 755 %buildroot%_localstatedir/spool/bro
+install -d -m 755 %buildroot%_localstatedir/spool/bro/tmp
 
 # Install scripts
 pushd scripts
-%__install -d -m 755 %buildroot%_datadir/bro/scripts
+install -d -m 755 %buildroot%_datadir/bro/scripts
 popd
 
 # The signature samples should go into a seperate sub-package if possible
 # Install example signatures, site policy
-%__install -D -d -m 755 %buildroot%_localstatedir/lib/bro/site
-%__install -D -d -m 755 %buildroot%_localstatedir/lib/bro/host
+install -D -d -m 755 %buildroot%_localstatedir/lib/bro/site
+install -D -d -m 755 %buildroot%_localstatedir/lib/bro/host
 
 # Fix broctl python location
 mkdir -p %buildroot%python_sitelibdir/broctl/
--- a/burp.spec	2025-05-14 02:14:00.828122928 +0000
+++ b/burp.spec	2025-05-14 02:14:00.839123070 +0000
@@ -46,7 +46,7 @@
 %makeinstall_std install-all
 install -D -p -m 0755 .gear/burp.init %{buildroot}%{_initrddir}/burp-server
 install -D -p -m 0644 .gear/burp.service %{buildroot}%{_unitdir}/burp-server.service
-%__subst "s,password,#password,g" %{buildroot}%_sysconfdir/burp/clientconfdir/testclient
+sed -i "s,password,#password,g" %{buildroot}%_sysconfdir/burp/clientconfdir/testclient
 
 %check
 %make_build check
--- a/fontforge.spec	2025-05-14 02:14:01.767135040 +0000
+++ b/fontforge.spec	2025-05-14 02:14:01.779135195 +0000
@@ -99,7 +99,7 @@
 %make_build || :
 # try again
 # looks like gnulib bug? (see https://bugzilla.altlinux.org/show_bug.cgi?id=36059)
-%__subst '24i#include "config.h"' lib/math.h
+sed -i '24i#include "config.h"' lib/math.h
 %make_build
 
 %install
--- a/fonts-ttf-xorg.spec	2025-05-14 02:14:01.863136278 +0000
+++ b/fonts-ttf-xorg.spec	2025-05-14 02:14:01.874136420 +0000
@@ -33,13 +33,13 @@
 %setup -q -n font-bh-ttf-%version
 
 %install
-%__mkdir_p %buildroot%_fontsdir/TTF
-%__install -m644 *.ttf %buildroot%_fontsdir/TTF/
+mkdir -p %buildroot%_fontsdir/TTF
+install -m644 *.ttf %buildroot%_fontsdir/TTF/
 mkfontscale %buildroot%_fontsdir/TTF
 mkfontdir %buildroot%_fontsdir/TTF
 
-%__mkdir_p %buildroot%_sysconfdir/X11/fontpath.d
-%__ln_s ../../..%_fontsdir/TTF %buildroot%_sysconfdir/X11/fontpath.d/ttf-TTF:pri=50
+mkdir -p %buildroot%_sysconfdir/X11/fontpath.d
+ln -s ../../..%_fontsdir/TTF %buildroot%_sysconfdir/X11/fontpath.d/ttf-TTF:pri=50
 
 %triggerun -- %name <= 1:1.0.0-alt1
 if [ -x %_sbindir/chkfontpath -a -f %_sysconfdir/X11/fs/config ]; then
--- a/gcc4.spec	2025-05-14 02:14:02.213140792 +0000
+++ b/gcc4.spec	2025-05-14 02:14:02.274141579 +0000
@@ -899,7 +899,7 @@
 %define _configure_script ../configure
 %define _configure_target --host=%_target_platform --build=%_target_platform --target=%_target_platform
 %remove_optflags -frecord-gcc-switches %optflags_nocpp %optflags_notraceback
-export CC=%__cc \
+export CC=gcc \
 	CFLAGS="%optflags" \
 	CXXFLAGS="%optflags" \
 	FFLAGS="%optflags" \
--- a/gcc4.spec	2025-05-14 02:14:02.311142057 +0000
+++ b/gcc4.spec	2025-05-14 02:14:02.374142869 +0000
@@ -916,7 +916,7 @@
 %define _configure_script ../configure
 %define _configure_target --host=%_target_platform --build=%_target_platform --target=%_target_platform
 %remove_optflags -frecord-gcc-switches %optflags_nocpp %optflags_notraceback
-export CC=%__cc \
+export CC=gcc \
 	CFLAGS="%optflags" \
 	CXXFLAGS="%optflags" \
 	FFLAGS="%optflags" \
--- a/gcc4.spec	2025-05-14 02:14:02.412143359 +0000
+++ b/gcc4.spec	2025-05-14 02:14:02.474144159 +0000
@@ -910,7 +910,7 @@
 %define _configure_script ../configure
 %define _configure_target --host=%_target_platform --build=%_target_platform --target=%_target_platform
 %remove_optflags -frecord-gcc-switches %optflags_nocpp %optflags_notraceback
-export CC=%__cc \
+export CC=gcc \
 	CFLAGS="%optflags" \
 	CXXFLAGS="%optflags" \
 	FFLAGS="%optflags" \
--- a/gcc4.spec	2025-05-14 02:14:02.512144649 +0000
+++ b/gcc4.spec	2025-05-14 02:14:02.585145590 +0000
@@ -1060,7 +1060,7 @@
 %define _configure_script ../configure
 %define _configure_target --host=%_target_platform --build=%_target_platform --target=%gcc_target_platform
 %remove_optflags -frecord-gcc-switches %optflags_nocpp %optflags_notraceback
-export CC=%__cc \
+export CC=gcc \
 	CFLAGS="%optflags" \
 	CXXFLAGS="%optflags" \
 	FFLAGS="%optflags" \
--- a/gcc4.spec	2025-05-14 02:14:02.624146094 +0000
+++ b/gcc4.spec	2025-05-14 02:14:02.700147074 +0000
@@ -1107,7 +1107,7 @@
 %define _configure_script ../configure
 %define _configure_target --host=%_target_platform --build=%_target_platform --target=%gcc_target_platform
 %remove_optflags -frecord-gcc-switches %optflags_nocpp %optflags_notraceback
-export CC=%__cc \
+export CC=gcc \
 	CFLAGS="%optflags" \
 	CXXFLAGS="%optflags" \
 	FFLAGS="%optflags" \
--- a/gcc.spec	2025-05-14 02:14:02.742147615 +0000
+++ b/gcc.spec	2025-05-14 02:14:02.822148647 +0000
@@ -1211,7 +1211,7 @@
 %define _configure_script ../configure
 %define _configure_target --host=%_target_platform --build=%_target_platform --target=%gcc_target_platform
 %remove_optflags -frecord-gcc-switches %optflags_nocpp %optflags_notraceback
-export CC=%__cc \
+export CC=gcc \
 	CFLAGS="%optflags" \
 	CXXFLAGS="%optflags" \
 	FFLAGS="%optflags" \
--- a/gcc.spec	2025-05-14 02:14:02.865149202 +0000
+++ b/gcc.spec	2025-05-14 02:14:02.949150285 +0000
@@ -1279,7 +1279,7 @@
 %define _configure_script ../configure
 %define _configure_target --host=%_target_platform --build=%_target_platform --target=%gcc_target_platform
 %remove_optflags -frecord-gcc-switches %optflags_nocpp %optflags_notraceback
-export CC=%__cc \
+export CC=gcc \
 	CFLAGS="%optflags" \
 	CXXFLAGS="%optflags" \
 	FFLAGS="%optflags" \
--- a/havp.spec	2025-05-14 02:14:03.543157947 +0000
+++ b/havp.spec	2025-05-14 02:14:03.556158114 +0000
@@ -55,19 +55,19 @@
 
 %install
 %make DESTDIR=%buildroot install
-%__mkdir_p %buildroot%_logdir/%name
-%__mkdir_p %buildroot%_spooldir/%name
-%__mkdir_p %buildroot%_var/run/%name
-%__mkdir_p %buildroot%_initrddir
-%__mkdir_p %buildroot%_sysconfdir/logrotate.d
+mkdir -p %buildroot%_logdir/%name
+mkdir -p %buildroot%_spooldir/%name
+mkdir -p %buildroot%_var/run/%name
+mkdir -p %buildroot%_initrddir
+mkdir -p %buildroot%_sysconfdir/logrotate.d
 
 
-%__install -p -m 755 %SOURCE1  %buildroot%_initrddir/havp
-%__install -p -m 640 etc/havp/havp.config %buildroot%_sysconfdir/%name/havp.config
-%__install -p -m 640 %SOURCE2  %buildroot%_sysconfdir/%name/spool_disk.config
-%__install -p -m 644 %SOURCE3  README.ALT
+install -p -m 755 %SOURCE1  %buildroot%_initrddir/havp
+install -p -m 640 etc/havp/havp.config %buildroot%_sysconfdir/%name/havp.config
+install -p -m 640 %SOURCE2  %buildroot%_sysconfdir/%name/spool_disk.config
+install -p -m 644 %SOURCE3  README.ALT
 
-%__cat << EOF > %buildroot%_sysconfdir/logrotate.d/havp
+cat << EOF > %buildroot%_sysconfdir/logrotate.d/havp
 /var/log/havp/access.log {
     create 644 root havp
     weekly
--- a/lightsquid.spec	2025-05-14 02:14:09.450234123 +0000
+++ b/lightsquid.spec	2025-05-14 02:14:09.462234277 +0000
@@ -39,55 +39,55 @@
 %prep
 %setup -n %name-%version
 
-%__subst "s|/var/www/html/lightsquid/lang|%_datadir/%name/lang|g"  lightsquid.cfg
-%__subst "s|/var/www/html/lightsquid/tpl|%_datadir/%name/tpl|g" lightsquid.cfg
-%__subst "s|/var/www/html/lightsquid/ip2name|%_datadir/%name/ip2name|g" lightsquid.cfg
-%__subst "s|/var/www/html/lightsquid/report|%_localstatedir/%name|g" lightsquid.cfg
-%__subst "s|\$cfgpath             =\"/var/www/html/lightsquid|\$cfgpath             =\"%lightsquid_confdir|g" lightsquid.cfg
-%__subst "s|\$lockpath            =\$reportpath|\$lockpath            =\"%_lockdir/%name\"|g" lightsquid.cfg
-%__subst 's|require "ip2name|require "$ip2namepath|g' lightparser.pl
-%__subst "s|lightsquid.cfg|%lightsquid_confdir/lightsquid.cfg|g" *.cgi *.pl
-%__subst "s|common.pl|%_datadir/%name/common.pl|g" *.cgi *.pl
-%__subst "s|/etc/squid/users.txt|/etc/lightsquid/users.txt|g" ip2name/ip2name.*
+sed -i "s|/var/www/html/lightsquid/lang|%_datadir/%name/lang|g"  lightsquid.cfg
+sed -i "s|/var/www/html/lightsquid/tpl|%_datadir/%name/tpl|g" lightsquid.cfg
+sed -i "s|/var/www/html/lightsquid/ip2name|%_datadir/%name/ip2name|g" lightsquid.cfg
+sed -i "s|/var/www/html/lightsquid/report|%_localstatedir/%name|g" lightsquid.cfg
+sed -i "s|\$cfgpath             =\"/var/www/html/lightsquid|\$cfgpath             =\"%lightsquid_confdir|g" lightsquid.cfg
+sed -i "s|\$lockpath            =\$reportpath|\$lockpath            =\"%_lockdir/%name\"|g" lightsquid.cfg
+sed -i 's|require "ip2name|require "$ip2namepath|g' lightparser.pl
+sed -i "s|lightsquid.cfg|%lightsquid_confdir/lightsquid.cfg|g" *.cgi *.pl
+sed -i "s|common.pl|%_datadir/%name/common.pl|g" *.cgi *.pl
+sed -i "s|/etc/squid/users.txt|/etc/lightsquid/users.txt|g" ip2name/ip2name.*
 
 iconv -f WINDOWS-1251 -t UTF8 lang/ru.lng > lang/ru-utf8.lng
-%__subst "s|windows-1251|utf8|g" lang/ru-utf8.lng
+sed -i "s|windows-1251|utf8|g" lang/ru-utf8.lng
 
 	
 %install
-%__mkdir_p %buildroot%_sbindir
-%__mkdir_p %buildroot%lightsquid_confdir
-%__mkdir_p %buildroot%_sysconfdir/cron.d
-%__mkdir_p %buildroot%_datadir/%name/{lang,ip2name,tpl}
-%__mkdir_p %buildroot%_localstatedir/%name
-%__mkdir_p %buildroot%lightdir
-%__mkdir_p %buildroot%_lockdir/%name
+mkdir -p %buildroot%_sbindir
+mkdir -p %buildroot%lightsquid_confdir
+mkdir -p %buildroot%_sysconfdir/cron.d
+mkdir -p %buildroot%_datadir/%name/{lang,ip2name,tpl}
+mkdir -p %buildroot%_localstatedir/%name
+mkdir -p %buildroot%lightdir
+mkdir -p %buildroot%_lockdir/%name
 
 # install bin
-%__install -p -m 755 lightparser.pl %buildroot%_sbindir/
+install -p -m 755 lightparser.pl %buildroot%_sbindir/
 
 # install configs
-%__install -p -m 644 lightsquid.cfg %buildroot%lightsquid_confdir/lightsquid.cfg
-%__install -p -m 644 group.cfg.src %buildroot%lightsquid_confdir/group.cfg
-%__install -p -m 644 realname.cfg %buildroot%lightsquid_confdir/realname.cfg
+install -p -m 644 lightsquid.cfg %buildroot%lightsquid_confdir/lightsquid.cfg
+install -p -m 644 group.cfg.src %buildroot%lightsquid_confdir/group.cfg
+install -p -m 644 realname.cfg %buildroot%lightsquid_confdir/realname.cfg
 
 # install cron
-%__cat << EOF > %buildroot%_sysconfdir/cron.d/lightsquid
+cat << EOF > %buildroot%_sysconfdir/cron.d/lightsquid
 55 * * * *     lightsquid /usr/sbin/lightparser.pl today
 EOF
 
 
 # install lib
-%__install -p -m 644 common.pl %buildroot%_datadir/%name/
-%__install -p -m 755 check-setup.pl %buildroot%_datadir/%name/
-%__install -p -m 644 lang/[^A-Z]*.lng %buildroot%_datadir/%name/lang/
-%__install -p -m 644 ip2name/[^A-Z]* %buildroot%_datadir/%name/ip2name/
-%__cp -aRf tpl/[^A-Z]* %buildroot%_datadir/%name/tpl/
-##%__install -p -m 644 tpl/[^A-Z]* %buildroot%_datadir/%name/tpl/
+install -p -m 644 common.pl %buildroot%_datadir/%name/
+install -p -m 755 check-setup.pl %buildroot%_datadir/%name/
+install -p -m 644 lang/[^A-Z]*.lng %buildroot%_datadir/%name/lang/
+install -p -m 644 ip2name/[^A-Z]* %buildroot%_datadir/%name/ip2name/
+cp -aRf tpl/[^A-Z]* %buildroot%_datadir/%name/tpl/
+##install -p -m 644 tpl/[^A-Z]* %buildroot%_datadir/%name/tpl/
 
 # install web
-#%__install -p -m 644 .htaccess %buildroot%apache_home/%name/
-%__install -p -m 755 [^A-Z]*.cgi %buildroot%apache_home/%name/
+#install -p -m 644 .htaccess %buildroot%apache_home/%name/
+install -p -m 755 [^A-Z]*.cgi %buildroot%apache_home/%name/
 
 %pre
 /usr/sbin/groupadd -r -f %name &> /dev/null ||:
--- a/mkai.spec	2025-05-14 02:14:09.811238778 +0000
+++ b/mkai.spec	2025-05-14 02:14:09.822238919 +0000
@@ -26,12 +26,12 @@
 %setup
 
 %install
-%__install -d %buildroot/%_localstatedir/%name
+install -d %buildroot/%_localstatedir/%name
 for i in scripts/* ;do
-%__install -Dpm 755 $i %buildroot/%_sbindir/`basename $i`
+install -Dpm 755 $i %buildroot/%_sbindir/`basename $i`
 done
 
-%__install -d %buildroot/%_sysconfdir/%name
+install -d %buildroot/%_sysconfdir/%name
 cp -a etc/* %buildroot/%_sysconfdir/%name
 
 %pre
--- a/mknfsroot.spec	2025-05-14 02:14:09.847239242 +0000
+++ b/mknfsroot.spec	2025-05-14 02:14:09.858239383 +0000
@@ -26,12 +26,12 @@
 %setup
 
 %install
-%__install -d %buildroot/%_localstatedir/%name
+install -d %buildroot/%_localstatedir/%name
 for i in scripts/* ;do
-%__install -Dpm 755 $i %buildroot/%_sbindir/`basename $i`
+install -Dpm 755 $i %buildroot/%_sbindir/`basename $i`
 done
 
-%__install -d %buildroot/%_sysconfdir/%name
+install -d %buildroot/%_sysconfdir/%name
 cp -a etc/* %buildroot/%_sysconfdir/%name
 
 %pre
--- a/motion.spec	2025-05-14 02:14:10.060241988 +0000
+++ b/motion.spec	2025-05-14 02:14:10.072242143 +0000
@@ -29,13 +29,13 @@
 %patch2 -p1
 %patch3 -p0
 
-%__subst 's|<postgresql[/]libpq-fe.h>|<pgsql/libpq-fe.h>|' %name.h
-%__subst 's|\(if [\\(]cnt->conf\.mysql_db && sqltype[\)]\)|//\1|' event.c
-%__subst 's|\(put_mysql[\(]&cnt->conf, cnt->database, filename, tm, sqltype[\)]\)|//\1|' event.c
-%__subst 's|\(motion\.conf\)\(\*\)|\1.\2|' Makefile.in
-%__subst 's|\(^.*c->quality\).*|//\1|' ffmpeg.c
-%__subst 's,\@PACKAGE_NAME@,\%name,' Makefile.in
-%__subst 's,\-@PACKAGE_VERSION@,\-%version,' Makefile.in
+sed -i 's|<postgresql[/]libpq-fe.h>|<pgsql/libpq-fe.h>|' %name.h
+sed -i 's|\(if [\\(]cnt->conf\.mysql_db && sqltype[\)]\)|//\1|' event.c
+sed -i 's|\(put_mysql[\(]&cnt->conf, cnt->database, filename, tm, sqltype[\)]\)|//\1|' event.c
+sed -i 's|\(motion\.conf\)\(\*\)|\1.\2|' Makefile.in
+sed -i 's|\(^.*c->quality\).*|//\1|' ffmpeg.c
+sed -i 's,\@PACKAGE_NAME@,\%name,' Makefile.in
+sed -i 's,\-@PACKAGE_VERSION@,\-%version,' Makefile.in
 
 rm -f version.sh
 
--- a/mrtg.spec	2025-05-14 02:14:10.182243561 +0000
+++ b/mrtg.spec	2025-05-14 02:14:10.196243742 +0000
@@ -48,57 +48,57 @@
 find . -name "*.orig" -print0 -exec rm -f \{\} \; \
  > /dev/null
 
-%__cp -p %SOURCE8 .
+cp -p %SOURCE8 .
 
-%__mv -f COPYING COPYING.orig
-%__ln_s $(relative %_licensedir/GPL-2 %_docdir/%name/COPYING) COPYING
+mv -f COPYING COPYING.orig
+ln -s $(relative %_licensedir/GPL-2 %_docdir/%name/COPYING) COPYING
 
 %build
 %configure
 %make_build
 
-find contrib -type f -print0 -exec %__perl -pi \
+find contrib -type f -print0 -exec perl -pi \
  -e 's;^#!/.*/perl.*;#!/usr/bin/perl;gi' \{\} \; \
  > /dev/null
 
-find contrib -type f -print0 -exec %__perl -pi \
+find contrib -type f -print0 -exec perl -pi \
  -e 's;/usr/local/bin/;/usr/bin/;gi' \{\} \; \
  > /dev/null
 
-find contrib -type f -print0 -exec %__perl -pi \
+find contrib -type f -print0 -exec perl -pi \
  -e 's;/usr/local/mrtg/(bin/)?mrtg;/usr/bin/mrtg;gi' \{\} \; \
  > /dev/null
 
-find . -name "*.pl" -print0 -exec %__perl -pi -e 's;\015;;gi' \{\} \; \
+find . -name "*.pl" -print0 -exec perl -pi -e 's;\015;;gi' \{\} \; \
  > /dev/null
 
 #tar -cf - contrib | gzip -9nf > contrib.tar.gz
 
 %install
 %make_install DESTDIR=%buildroot install
-%__rm -rf %buildroot{%_docdir,%_datadir}/mrtg2
+rm -rf %buildroot{%_docdir,%_datadir}/mrtg2
 
 # another try to work around x86_64
 if [ "%_libdir" == "/usr/lib64" ]; then
-	%__mkdir -p %buildroot/usr/lib
-	%__mv %buildroot%_libdir/mrtg2 %buildroot/usr/lib
-	%__rm -rf %buildroot%_libdir
+	mkdir -p %buildroot/usr/lib
+	mv %buildroot%_libdir/mrtg2 %buildroot/usr/lib
+	rm -rf %buildroot%_libdir
 fi
 
 # get rid of a copy of standard Pod perl modules
-%__rm -rf %buildroot%_libmrtg/Pod
+rm -rf %buildroot%_libmrtg/Pod
 
-%__mkdir -p %buildroot{%_sysconfdir/%name,%_sysconfdir/cron.d,%_contentdir/images,%_libmrtg/helpers,%_localstatedir/%name}
+mkdir -p %buildroot{%_sysconfdir/%name,%_sysconfdir/cron.d,%_contentdir/images,%_libmrtg/helpers,%_localstatedir/%name}
 
-%__install -m 644 images/* %buildroot%_contentdir/images
-%__install -m 644 %SOURCE1 %buildroot%_sysconfdir/%name
-%__install -m 640 %SOURCE4 %buildroot%_sysconfdir/cron.d/%name
+install -m 644 images/* %buildroot%_contentdir/images
+install -m 644 %SOURCE1 %buildroot%_sysconfdir/%name
+install -m 640 %SOURCE4 %buildroot%_sysconfdir/cron.d/%name
 
-%__install -m 755 %SOURCE5 %buildroot/%_libmrtg/helpers/iptables-accounting.pl
-%__install -m 644 %SOURCE6 %buildroot%_sysconfdir/%name
-%__install -m 755 %SOURCE7 %buildroot/%_libmrtg/helpers/cpuinfo.pl
+install -m 755 %SOURCE5 %buildroot/%_libmrtg/helpers/iptables-accounting.pl
+install -m 644 %SOURCE6 %buildroot%_sysconfdir/%name
+install -m 755 %SOURCE7 %buildroot/%_libmrtg/helpers/cpuinfo.pl
 
-%__cp -r contrib %buildroot%_libmrtg/
+cp -r contrib %buildroot%_libmrtg/
 
 %pre
 /usr/sbin/groupadd -r -f %name &> /dev/null ||:
--- a/nvidia-cg-toolkit.spec	2025-05-14 02:14:10.600248951 +0000
+++ b/nvidia-cg-toolkit.spec	2025-05-14 02:14:10.613249118 +0000
@@ -78,33 +78,33 @@
 %setup -c %name-%version -D -T -a 1
 %endif
 
-%__rm usr/bin/{cgfxcat,cginfo}
+rm usr/bin/{cgfxcat,cginfo}
 
 %build
 
 for b in cgfxcat cginfo ; do
-	%__sed -i -e 's/-DGLEW_STATIC//' usr/local/Cg/examples/Tools/${b}/Makefile.${b}
-	%__sed -i -e 's/-Wall/%{optflags}/' usr/local/Cg/examples/Tools/${b}/Makefile.${b}
+	sed -i -e 's/-DGLEW_STATIC//' usr/local/Cg/examples/Tools/${b}/Makefile.${b}
+	sed -i -e 's/-Wall/%{optflags}/' usr/local/Cg/examples/Tools/${b}/Makefile.${b}
 	%make_build -C usr/local/Cg/examples/Tools/${b} \
 		GLEW=%prefix \
 		CG_INC_PATH=%_builddir/%buildsubdir/usr/include \
 		CG_LIB_PATH=%_builddir/%buildsubdir/%_libdir
-	%__mv usr/local/Cg/examples/Tools/${b}/${b} usr/bin
-	%__strip usr/bin/${b}
+	mv usr/local/Cg/examples/Tools/${b}/${b} usr/bin
+	strip usr/bin/${b}
 done
 
 %install
-%__install -Dp -m0755 usr/bin/cgc %buildroot%_bindir/cgc
-%__install -Dp -m0755 usr/bin/cgfxcat %buildroot%_bindir/cgfxcat
-%__install -Dp -m0755 usr/bin/cginfo %buildroot%_bindir/cginfo
-%__install -Dp -m0644 usr/include/Cg/cg.h %buildroot%_includedir/Cg/cg.h
-%__install -Dp -m0644 usr/include/Cg/cgGL.h %buildroot%_includedir/Cg/cgGL.h
+install -Dp -m0755 usr/bin/cgc %buildroot%_bindir/cgc
+install -Dp -m0755 usr/bin/cgfxcat %buildroot%_bindir/cgfxcat
+install -Dp -m0755 usr/bin/cginfo %buildroot%_bindir/cginfo
+install -Dp -m0644 usr/include/Cg/cg.h %buildroot%_includedir/Cg/cg.h
+install -Dp -m0644 usr/include/Cg/cgGL.h %buildroot%_includedir/Cg/cgGL.h
 %ifarch %ix86
-%__install -Dp -m0644 usr/lib/libCg.so %buildroot%_libdir/libCg.so
-%__install -Dp -m0644 usr/lib/libCgGL.so %buildroot%_libdir/libCgGL.so
+install -Dp -m0644 usr/lib/libCg.so %buildroot%_libdir/libCg.so
+install -Dp -m0644 usr/lib/libCgGL.so %buildroot%_libdir/libCgGL.so
 %else
-%__install -Dp -m0644 usr/lib64/libCg.so %buildroot%_libdir/libCg.so
-%__install -Dp -m0644 usr/lib64/libCgGL.so %buildroot%_libdir/libCgGL.so
+install -Dp -m0644 usr/lib64/libCg.so %buildroot%_libdir/libCg.so
+install -Dp -m0644 usr/lib64/libCgGL.so %buildroot%_libdir/libCgGL.so
 %endif
 
 %files
--- a/nvidia_glx_common.spec	2025-05-14 02:14:10.657249686 +0000
+++ b/nvidia_glx_common.spec	2025-05-14 02:14:10.674249905 +0000
@@ -178,29 +178,29 @@
 
 
 %install
-%__mkdir_p %buildroot/%module_local_dir
-%__mkdir_p %buildroot/sbin
-%__mkdir_p %buildroot/%_sbindir
-%__mkdir_p %buildroot/%tls_lib_dir
-%__mkdir_p %buildroot/%nv_lib_dir
-%__mkdir_p %buildroot/%x11_mod_dir
-#%__mkdir_p %buildroot/%x11_mod_old
-%__mkdir_p %buildroot/%x11_drv_dir
-#%__mkdir_p %buildroot/%x11_drv_old
-%__mkdir_p %buildroot/%x11_ext_dir
-#%__mkdir_p %buildroot/%x11_ext_old
-%__mkdir_p %buildroot/%x_etclib_sym_dir
-%__mkdir_p %buildroot/%nv_etclib_sym_dir
-%__mkdir_p %buildroot/%nv_lib32_sym_dir
-%__mkdir_p %buildroot/%xdrv_d
-#%__mkdir_p %buildroot/%xdrv_d_old
-%__mkdir_p %buildroot/%xdrv_pre_d
-%__mkdir_p %buildroot/%xinf_dir
-%__mkdir_p %buildroot/%nv_workdirdir
-%__mkdir_p %buildroot/%_datadir/nvidia
-%__mkdir_p %buildroot/%x11_lib_dir/vdpau
-%__mkdir_p %buildroot/%x11_lib_dir/gbm
-#%__mkdir_p %buildroot/lib/firmware/nvidia
+mkdir -p %buildroot/%module_local_dir
+mkdir -p %buildroot/sbin
+mkdir -p %buildroot/%_sbindir
+mkdir -p %buildroot/%tls_lib_dir
+mkdir -p %buildroot/%nv_lib_dir
+mkdir -p %buildroot/%x11_mod_dir
+#mkdir -p %buildroot/%x11_mod_old
+mkdir -p %buildroot/%x11_drv_dir
+#mkdir -p %buildroot/%x11_drv_old
+mkdir -p %buildroot/%x11_ext_dir
+#mkdir -p %buildroot/%x11_ext_old
+mkdir -p %buildroot/%x_etclib_sym_dir
+mkdir -p %buildroot/%nv_etclib_sym_dir
+mkdir -p %buildroot/%nv_lib32_sym_dir
+mkdir -p %buildroot/%xdrv_d
+#mkdir -p %buildroot/%xdrv_d_old
+mkdir -p %buildroot/%xdrv_pre_d
+mkdir -p %buildroot/%xinf_dir
+mkdir -p %buildroot/%nv_workdirdir
+mkdir -p %buildroot/%_datadir/nvidia
+mkdir -p %buildroot/%x11_lib_dir/vdpau
+mkdir -p %buildroot/%x11_lib_dir/gbm
+#mkdir -p %buildroot/lib/firmware/nvidia
 
 # prompt user to don't use nvidia-installer
 mkdir -p %buildroot/usr/lib/nvidia/
@@ -210,48 +210,48 @@
 install -m 0755 %SOURCE3 %buildroot/%_bindir/
 install -m 0755 %SOURCE4 %buildroot/%_bindir/
 
-%__install -m 0755 set_gl_nvidia/nvidia %buildroot/%xdrv_d/nvidia
-#%__ln_s ../../../..%xdrv_d/nvidia %buildroot/%xdrv_d_old/nvidia
-%__install -m 0755 set_gl_nvidia/nvidia_preset %buildroot/%xdrv_pre_d/nvidia
-%__install -m 0755 device-create/ub-device-create %buildroot/sbin/ub-device-create
-%__install -m 0644 libnvidianull.so %buildroot/%x11_lib_dir/
-
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libvdpau_nvidia.so
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libnvidia-cfg.so.1
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libEGL_nvidia.so.0
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLESv2_nvidia.so.2
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLESv1_CM_nvidia.so.1
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLX_nvidia.so.0
-%__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libnvidia-allocator.so.1
-%__ln_s `relative %x11driver_dir %_sysconfdir/libnvidiacurrent` %buildroot/%_sysconfdir/libnvidiacurrent
-%__ln_s `relative %_sysconfdir/libnvidiacurrent %nv_etclib_sym_dir/current` %buildroot/%nv_etclib_sym_dir/current
+install -m 0755 set_gl_nvidia/nvidia %buildroot/%xdrv_d/nvidia
+#ln -s ../../../..%xdrv_d/nvidia %buildroot/%xdrv_d_old/nvidia
+install -m 0755 set_gl_nvidia/nvidia_preset %buildroot/%xdrv_pre_d/nvidia
+install -m 0755 device-create/ub-device-create %buildroot/sbin/ub-device-create
+install -m 0644 libnvidianull.so %buildroot/%x11_lib_dir/
+
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libvdpau_nvidia.so
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libnvidia-cfg.so.1
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libEGL_nvidia.so.0
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLESv2_nvidia.so.2
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLESv1_CM_nvidia.so.1
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libGLX_nvidia.so.0
+ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/libnvidia-allocator.so.1
+ln -s `relative %x11driver_dir %_sysconfdir/libnvidiacurrent` %buildroot/%_sysconfdir/libnvidiacurrent
+ln -s `relative %_sysconfdir/libnvidiacurrent %nv_etclib_sym_dir/current` %buildroot/%nv_etclib_sym_dir/current
 %if "%_lib" == "lib64"
-%__ln_s `relative %x11driver_dir %_sysconfdir/libnvidia32current` %buildroot/%_sysconfdir/libnvidia32current
-%__ln_s `relative %_sysconfdir/libnvidia32current %nv_lib32_sym_dir/current` %buildroot/%nv_lib32_sym_dir/current
+ln -s `relative %x11driver_dir %_sysconfdir/libnvidia32current` %buildroot/%_sysconfdir/libnvidia32current
+ln -s `relative %_sysconfdir/libnvidia32current %nv_lib32_sym_dir/current` %buildroot/%nv_lib32_sym_dir/current
 %endif
 
-%__ln_s ../../..%nv_etclib_sym_dir/libvdpau_nvidia.so %buildroot/%x11_lib_dir/vdpau/libvdpau_nvidia.so
-%__ln_s libvdpau_nvidia.so %buildroot/%x11_lib_dir/vdpau/libvdpau_nvidia.so.1
-%__ln_s ../..%nv_etclib_sym_dir/libnvidia-cfg.so.1 %buildroot/%x11_lib_dir/libnvidia-cfg.so.1
-%__ln_s ../..%nv_etclib_sym_dir/libEGL_nvidia.so.0 %buildroot/%x11_lib_dir/libEGL_nvidia.so.0
-%__ln_s ../..%nv_etclib_sym_dir/libGLESv2_nvidia.so.2 %buildroot/%x11_lib_dir/libGLESv2_nvidia.so.2
-%__ln_s ../..%nv_etclib_sym_dir/libGLESv1_CM_nvidia.so.1 %buildroot/%x11_lib_dir/libGLESv1_CM_nvidia.so.1
-%__ln_s ../..%nv_etclib_sym_dir/libGLX_nvidia.so.0 %buildroot/%x11_lib_dir/libGLX_nvidia.so.0
-%__ln_s ../..%nv_etclib_sym_dir/libnvidia-allocator.so.1 %buildroot/%x11_lib_dir/libnvidia-allocator.so.1
-%__ln_s ../libnvidia-allocator.so.1 %buildroot/%x11_lib_dir/gbm/nvidia-drm_gbm.so
+ln -s ../../..%nv_etclib_sym_dir/libvdpau_nvidia.so %buildroot/%x11_lib_dir/vdpau/libvdpau_nvidia.so
+ln -s libvdpau_nvidia.so %buildroot/%x11_lib_dir/vdpau/libvdpau_nvidia.so.1
+ln -s ../..%nv_etclib_sym_dir/libnvidia-cfg.so.1 %buildroot/%x11_lib_dir/libnvidia-cfg.so.1
+ln -s ../..%nv_etclib_sym_dir/libEGL_nvidia.so.0 %buildroot/%x11_lib_dir/libEGL_nvidia.so.0
+ln -s ../..%nv_etclib_sym_dir/libGLESv2_nvidia.so.2 %buildroot/%x11_lib_dir/libGLESv2_nvidia.so.2
+ln -s ../..%nv_etclib_sym_dir/libGLESv1_CM_nvidia.so.1 %buildroot/%x11_lib_dir/libGLESv1_CM_nvidia.so.1
+ln -s ../..%nv_etclib_sym_dir/libGLX_nvidia.so.0 %buildroot/%x11_lib_dir/libGLX_nvidia.so.0
+ln -s ../..%nv_etclib_sym_dir/libnvidia-allocator.so.1 %buildroot/%x11_lib_dir/libnvidia-allocator.so.1
+ln -s ../libnvidia-allocator.so.1 %buildroot/%x11_lib_dir/gbm/nvidia-drm_gbm.so
 
 
 # nvidia_drv.o
 if false ; then
-    %__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/nvidia_drv.o
-    %__ln_s ../../../../..%nv_etclib_sym_dir/nvidia_drv.o %buildroot/%x11_drv_dir/nvidia_drv.o
-    #%__ln_s ../../../../..%nv_etclib_sym_dir/nvidia_drv.o %buildroot/%x11_drv_old/nvidia_drv.o
+    ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/nvidia_drv.o
+    ln -s ../../../../..%nv_etclib_sym_dir/nvidia_drv.o %buildroot/%x11_drv_dir/nvidia_drv.o
+    #ln -s ../../../../..%nv_etclib_sym_dir/nvidia_drv.o %buildroot/%x11_drv_old/nvidia_drv.o
 fi
 # nvidia_drv.so
 if true ; then
-    %__ln_s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/nvidia_drv.so
-    %__ln_s ../../../../..%nv_etclib_sym_dir/nvidia_drv.so %buildroot/%x11_drv_dir/nvidia_drv.so
-    #%__ln_s ../../../../..%nv_etclib_sym_dir/nvidia_drv.so %buildroot/%x11_drv_old/nvidia_drv.so
+    ln -s ../../..%x11_lib_dir/libnvidianull.so %buildroot/%nv_etclib_sym_dir/nvidia_drv.so
+    ln -s ../../../../..%nv_etclib_sym_dir/nvidia_drv.so %buildroot/%x11_drv_dir/nvidia_drv.so
+    #ln -s ../../../../..%nv_etclib_sym_dir/nvidia_drv.so %buildroot/%x11_drv_old/nvidia_drv.so
 fi
 
 
